"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39eb00>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39eb90>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39ec20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39ecb0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39ed40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39edd0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39ee60>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39eef0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39ef80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f010>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f0a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f130>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f1c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f250>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f2e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f370>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f490>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f520>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f5b0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f640>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f6d0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f760>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f7f0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f910>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f880>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39f9a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fa30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fac0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fb50>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fbe0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fc70>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fd00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fd90>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39fe20>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39feb0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd39ff40>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f00d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0160>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f01f0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0280>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0310>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f03a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0430>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f04c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0550>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f05e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0670>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0700>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0790>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0820>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f08b0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0940>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f09d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0a60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0af0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0b80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0c10>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0ca0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0d30>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0dc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0e50>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0ee0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f0f70>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1120>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1000>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f11b0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1240>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f12d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1360>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f13f0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1510>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1480>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f15a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1630>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f16c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f17e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1750>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1870>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1900>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1990>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1a20>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1ab0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f82cd3f1b40>)]
name: str = 'fr_HOCCN'
